require "greentext/base"

module Greentext
  # Public: (Model) A 4chan board.
  class Board < Greentext::Base
    attr_reader :name, :board
    attr_reader :title
    attr_reader :posts_per_page, :per_page
    attr_reader :pages
    attr_predicate :worksafe, :ws_board

    def threads
      Greentext.client.threads(self)
    end
  end
end
